Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead of ext4 for root partition.

From: Pierre Neidhardt <[email-masked]>
Date: Mon, 06 Apr 2020 22:20:48 +0200

Hi Jonathan,

For some reason I did not receive your email:

Jonathan Brielmaier wrote on Tue Mar 31 14:09:04+0200 2020
> > * gnu/system/examples/desktop.tmpl: Adjust root file-system to use Btrfs.
> 
> I would oppose this change as I had too much troubles with Btrfs on my
> openSUSE machines. I used a simple partition layout spanning the whole
> disk. AFAIK this is not really recommended with btrfs. My laptop was
> from time to time unusable until I reinstalled it with ext4...

This is for Guix System only.  Did you mean that it would be problematic
if you were running openSUSE in dual boot?

> Further do we need all this rollback stuff from btrfs if we have it
> already in Guix?

Btrfs has many benefits over Ext3:

it offers compression to about 30% on average, it supports subvolumes,
snapshots and snapshot syncing, and much more.

For all these reasons I believe Btrfs is a good default for the OSes of tomorrow! :)

-- 
Pierre Neidhardt
https://ambrevar.xyz/